using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EA.GameTalkRouter
{
	public delegate void AddListenerDelegate (Listener listener);
	public delegate Listener[] GetAllListenersDelegate();

	public interface IGameTalkService
	{
		void Start();
		void RegisterAddListenerDelegate(AddListenerDelegate addListenerDelegate);
		void RegisterGetAllListenersDelegate(GetAllListenersDelegate getAllListenersDelegate);
	}
}
